Change log for django-picklefield package in Ubuntu

111 of 11 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-09-24
Deleted in cosmic-proposed (Reason: moved to release)
django-picklefield (1.1.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.2.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <email address hidden>  Sun, 09 Sep 2018 19:58:55 +0200

Available diffs

Superseded in cosmic-release on 2018-09-24
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-07-14
Deleted in artful-proposed (Reason: moved to release)
django-picklefield (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Fix tests by adding django.contrib.contenttypes to INSTALLED_APPS (Closes:
    #865557).
  * Bump Standards-Version to 4.0.0.
  * Use https:// for copyright-format 1.0 URL.
  * Remove unused lintian override as we now check for valid signatures
    on upstream tarballs.

 -- Michael Fladischer <email address hidden>  Thu, 13 Jul 2017 11:45:44 +0200

Available diffs

Superseded in artful-release on 2017-07-14
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
django-picklefield (0.3.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.7.
  * Bump debhelper compatibility and version to 9.
  * Use pypi.debian.net service for uscan.
  * Use PGP key B1B4EDB3 to verify uscan downloads.
  * Change my email address to <email address hidden>.
  * Install README.rst in both binary packages.
  * Extract upstream changelog from README.rst.
  * Clean src/django_picklefield.egg-info/requires.txt to allow two
    builds in a row.

 -- Michael Fladischer <email address hidden>  Thu, 31 Mar 2016 22:29:01 +0200

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed (Reason: moved to release)
django-picklefield (0.3.1-2) unstable; urgency=medium


  * Switch buildsystem to pybuild and add dh-python to Build-Depends.
  * Add support for Python3.
  * Add fix_tests.patch to correctly compare to different object
    instances with the same content.
  * Line-wrap dependency fields.
  * Add lintian override for missing upstream tarball PGP signature.
  * Works with Django 1.7 (Closes: #755647).

 -- Michael Fladischer <email address hidden>  Sun, 31 Aug 2014 21:44:15 +0200

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-12-16
Deleted in trusty-proposed (Reason: moved to release)
django-picklefield (0.3.1-1) unstable; urgency=low


  * New upstream release.
  * Switch to dh_python2.
  * Bump Standards version to 3.9.5.
  * Make Build-Depends on python-all and python-django unversioned as no
    prior versions are available in Wheezy.
  * Drop XS-Python-Version.
  * Add X-Python-Version.
  * Update years in d/copyright.
  * Rename MIT license to Expat.

 -- Michael Fladischer <email address hidden>  Mon, 16 Dec 2013 14:07:50 +0100

Available diffs

Superseded in trusty-release on 2013-12-16
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
django-picklefield (0.3.0-1) unstable; urgency=low


  [ Michael Fladischer ]
  * New upstream release.
  * Add python-six as build and runtime dependency.
  * Remove temporary fix for PKG-INFO.
  * Bump standards version to 3.9.4.
  * Change Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch and
    build-indep targets.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <email address hidden>  Wed, 08 May 2013 08:10:53 +0200

Available diffs

Superseded in saucy-release on 2013-05-10
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
django-picklefield (0.2.1-2) unstable; urgency=low


  * Add src/django_picklefield.egg-info/PKG-INFO to d/clean to allow the
    package to be built twice in a row (Closes: #671313).

 -- Michael Fladischer <email address hidden>  Fri, 11 May 2012 08:26:24 +0200

Available diffs

Superseded in quantal-release on 2012-05-23
django-picklefield (0.2.1-1) unstable; urgency=low


  * New upstream release.
  * Fix tests for django (>= 1.4) FTBFS (Closes: #669493).
    - Add our own settings.py for the tests
    - Bump B-D on python-django to (>= 1.2)

 -- Michael Fladischer <email address hidden>  Mon, 23 Apr 2012 15:00:01 +0200

Available diffs

Superseded in quantal-release on 2012-05-04
django-picklefield (0.2.0-1) unstable; urgency=low


  * New upstream release.
  * Change order of my name.
  * Bump standards version to 3.9.3.
  * Temporary fix for Metadata-Version in PKG-INFO.
  * Reformat files using wrap-and-sort.
  * Update DEP-5 URL to 1.0.
  * Update years in d/copyright.

 -- Michael Fladischer <email address hidden>  Fri, 16 Mar 2012 12:28:02 +0100

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
django-picklefield (0.1.9-2) unstable; urgency=low

  * Upload to unstable.
  * Update DEP5 format.
  * Set PMPT as maintainer and myself as uploader.
  * Drop debian/pyversions in favour of XS-Python-Version.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
django-picklefield (0.1.6-1) unstable; urgency=low

  * New upstream release.

111 of 11 results